/*

Ramen Crew Stylesheet
Author: Lee Frankis
Copyright: 2025 Idearium

*/

/****************************************************************************************************/
/* Custom root styles */

@font-face {
    font-family: "Noto";
    src: url('assets/fonts/NotoSerif-VariableFont_wdth,wght.ttf');
    font-display: swap;
}

@font-face {
    font-family: "Montserrat";
    src: url('assets/fonts/Montserrat-VariableFont_wght.ttf');
    font-display: swap;
}

:root {
    --container-width: 1200px;
    --container-padding: 20px;
    --grid-column-gap: 20px;
    --grid-row-gap: 20px;
    --gap: 5px;
    --gap-2x: calc(var(--gap) * 2); /* 10px */
    --gap-3x: calc(var(--gap) * 3); /* 15px */
    --gap-4x: calc(var(--gap) * 4); /* 20px */
    --gap-6x: calc(var(--gap) * 6); /* 30px */
    --gap-8x: calc(var(--gap) * 8); /* 40px */
    --gap-12x: calc(var(--gap) * 12); /* 60px */
    --gap-24x: calc(var(--gap) * 24); /* 120px */
    --white: #ffffff;
    --gold: #FFCA78;
    --red: #C33828;
    --beige: #FDFBF7;
    --border-radius: 8px;
    --big-border-radius: 24px;
}

/****************************************************************************************************/
/* Idearium default styles */

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    font-size: 16px; /* root em */
    scroll-behavior: smooth;
    scroll-padding-top: 48px;
    background-color: black;
}

body {
    min-height: 100vh;
    min-height: 100dvh;
    margin: 0;
    display: flex;
    flex-direction: column;
    font-family: "Noto", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    line-height: 1.3;
    color: var(--gold);
    background: url('assets/images/background.webp');
    background-attachment: fixed;
    background-size: cover;
}

main {
  flex: 1;
}

button {
    background-color: transparent;
    border: none;
    margin: 0;
    padding: 0;
    text-align: inherit;
    font: inherit;
    border-radius: 0;
    appearance: none;
    -webkit-appearance: none;
    cursor: pointer;
}

button,
a {
    -webkit-tap-highlight-color: transparent;
}

/* flex utilities */

.flex-col {
    display: flex;
    flex-direction: column;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-ctr {
    justify-content: center;
    align-items: center;
}

.flex-start {
    align-items: flex-start;
}

.align-items-ctr {
    align-items: center;
}

.justify-ctr {
    justify-content: center;
}

.flex-right {
    margin-left: auto;
}

.fill-width {
    width: 100%;
}

.fill-height {
    height: 100%;
}

.space-between {
    justify-content: space-between;
}

.push-bottom {
    margin-top: auto;
}

.push-right {
    margin-left: auto;
}

.break-md {
    display: none;
}

/* Container */
.container {
  width: 100%;
  margin-inline: auto;
}

/* Grid */
.grid {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  column-gap: var(--grid-column-gap);
  row-gap: var(--gap-8x);
}

/* columns */
.col-1  { grid-column: span 1; }
.col-2  { grid-column: span 2; }
.col-3  { grid-column: span 3; }
.col-4  { grid-column: span 4; }
.col-5  { grid-column: span 5; }
.col-6  { grid-column: span 6; }
.col-7  { grid-column: span 7; }
.col-8  { grid-column: span 8; }
.col-9  { grid-column: span 9; }
.col-10 { grid-column: span 10; }
.col-11 { grid-column: span 11; }
.col-12 { grid-column: span 12; }

/* gap */
.gap {
    gap: var(--gap); /* 5px */
}

.gap-2x {
    gap: var(--gap-2x); /* 10px */
}

.gap-3x {
    gap: var(--gap-3x); /* 15px */
}

.gap-4x {
    gap: var(--gap-4x); /* 20px */
}

.gap-6x {
    gap: var(--gap-6x); /* 30px */
}

.gap-8x {
    gap: var(--gap-8x); /* 40px */
}

.gap-12x {
    gap: var(--gap-12x); /* 60px */
}

.gap-24x {
    gap: var(--gap-24x); /* 120px */
}

.gap-main {
    gap: 90px;
}

/* fonts */
h1, h2, h3, h4, h5, p {
    margin: 0;
    line-height: 1.4;
    max-width: 75ch;
}

/* Noto Serif */
.nt-l {
    font-family: 'Noto', serif;
    font-size: 2rem;
    font-style: normal;
    font-weight: 300;
}

.nt-m {
    font-family: 'Noto', serif;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 300;
}

.nt-r {
    font-family: 'Noto', serif;
    font-size: 1rem;
    font-style: normal;
    font-weight: 300;
}

/* Montserrat */
.ms-l {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 400;
    text-transform: uppercase;
}

.ms-m {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 6%;
}

.ms-r {
    font-family: 'Montserrat', sans-serif;
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    text-transform: uppercase;
    line-height: 1;
}


.f-color-black {
    color: var(--black);
}

.f-color-white {
    color: var(--white);
}

.f-color-faded {
    color: rgba(255,255,255,0.65);
}

.text-center {
    text-align: center;
}

.no-limit {
    max-width: 100%;
}

.max-30 {
    max-width: 30ch;
}

.rotate-90 {
    transform: rotate(-90deg);
}

.basic-list {
    padding-left: 20px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.basic-list a,
.unstyled-list a {
    color: inherit;
}

.unstyled-list {
    padding-left: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    list-style-type: none;
}

.truncate-2-lines {
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}



/* images */
.img-holder {
    border: 0.5px solid var(--gold);
    padding: 6px;
}

.img-holder img {
    display: block;
}

.img-header {
    width: 100%;
}

/* buttons */
.btn-primary {
    display: flex;
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding: 15px 25px;
    justify-content: center;
    align-items: center;
    gap: 16px;
    border-radius: 8px;
    background: linear-gradient(83deg, #F5EEAC 5.38%, #CC9C3E 20.74%, #FFD788 40.71%, #CC9C3E 61.44%, #CC933D 73.47%, #FFEECD 89.6%, #CC8B3C 98.82%);
    box-shadow: 0 8px 12px 0 rgba(0, 0, 0, 0.50);
    color: black;
    font-size: 1.5rem;
    line-height: 1;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    letter-spacing: 2%;
    text-decoration: none;
    text-transform: uppercase;
}

.basic-link {
    color: inherit;
    font-weight: 500;
}

.unstyled-link {
    color: inherit;
    text-decoration: none;
}

/* page */
.page-width {
    width: 100%;
    max-width: 800px;
    padding-left: var(--padding-x);
    padding-right: var(--padding-x);
    margin: 0 auto;
}

.header-padding {
    padding: 0 var(--gap-4x);
}

.section-padding {
    padding: 80px var(--gap-4x);
}


/* hr */
hr {
    border: 0;
    width: 100px;
    height: 1px;
    background: #b1b1b1;
    margin: 0 auto;
}

/* hide / show */
.hidden-sm,
.hidden-md {
    display: flex;
}

.visible-sm,
.visible-md {
    display: none;
}

/* overflow */
.overflow-hidden {
    overflow: hidden;
}

/* floating cta */
.floating-cta {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: 20px;
    z-index: 99;
    width: 100%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.40) 0%, rgba(0, 0, 0, 0.00) 100%);
}

/* spacer */
.footer-spacer {
    width: 100%;
    height: 80px;
}

/* menu */
.menu-section {
    border: 0.5px solid rgba(255, 202, 120, 0.30);
    padding: 20px;
    width: 100%;
}

.menu-section p {
    max-width: 100%;
}



/****************************************************************************************************/
/* media queries */

/* Large screens */
@media screen and (max-width: 1590px) {}

/* Medium screens */
@media screen and (max-width: 992px) {
/* flex */
.flex-col-md {
    display: flex;
    flex-direction: column;
}

.flex-row-md {
    display: flex;
    flex-direction: row;
}

.col-1-md  { grid-column: span 1; }
.col-2-md  { grid-column: span 2; }
.col-3-md  { grid-column: span 3; }
.col-4-md  { grid-column: span 4; }
.col-5-md  { grid-column: span 5; }
.col-6-md  { grid-column: span 6; }
.col-7-md  { grid-column: span 7; }
.col-8-md  { grid-column: span 8; }
.col-9-md  { grid-column: span 9; }
.col-10-md { grid-column: span 10; }
.col-11-md { grid-column: span 11; }
.col-12-md { grid-column: span 12; }

/* gap */
.gap-md {
    gap: var(--gap); /* 5px */
}

.gap-2x-md {
    gap: var(--gap-2x); /* 10px */
}

.gap-3x-md {
    gap: var(--gap-3x); /* 15px */
}

.gap-4x-md {
    gap: var(--gap-4x); /* 20px */
}

.gap-6x-md {
    gap: var(--gap-6x); /* 30px */
}

.gap-8x-md {
    gap: var(--gap-8x); /* 40px */
}

.gap-12x-md {
    gap: var(--gap-12x); /* 60px */
}

.gap-main {
    gap: 60px;
}

/* section */
.section-padding {
    padding: 60px var(--gap-4x);
}

.section-padding-x {
    padding: 0px var(--gap-4x);
}

/* hide/show */
.hidden-md {
    display: none;
}

.visible-md {
    display: flex;
}

.fill-width-md {
    width: 100%;
}

/* order */
.order-1-md {
    order: 1;
}

.order-2-md {
    order: 2;
}

.text-center-md {
    text-align: center;
}

.align-items-ctr-md {
    align-items: center;
}

.justify-ctr-md {
    justify-content: center;
}

.break-md {
    display: inline;
}


}

/* Small screens */
@media screen and (max-width: 479px) {
/* flex */
.flex-col-sm {
    display: flex;
    flex-direction: column;
}

.flex-row-sm {
    display: flex;
    flex-direction: row;
}

.align-items-ctr-sm {
    align-items: center;
}

.justify-ctr-sm {
    justify-content: center;
}

.text-center-sm {
    text-align: center;
}

/* grid */
.col-1-sm  { grid-column: span 1; }
.col-2-sm  { grid-column: span 2; }
.col-3-sm  { grid-column: span 3; }
.col-4-sm  { grid-column: span 4; }
.col-5-sm  { grid-column: span 5; }
.col-6-sm  { grid-column: span 6; }
.col-7-sm  { grid-column: span 7; }
.col-8-sm  { grid-column: span 8; }
.col-9-sm  { grid-column: span 9; }
.col-10-sm { grid-column: span 10; }
.col-11-sm { grid-column: span 11; }
.col-12-sm { grid-column: span 12; }

/* gap */
.gap-sm {
    gap: var(--gap); /* 5px */
}

.gap-2x-sm {
    gap: var(--gap-2x); /* 10px */
}

.gap-3x-sm {
    gap: var(--gap-3x); /* 15px */
}

.gap-4x-sm {
    gap: var(--gap-4x); /* 20px */
}

.gap-6x-sm {
    gap: var(--gap-6x); /* 30px */
}

.gap-8x-sm {
    gap: var(--gap-8x); /* 40px */
}

.gap-12x-sm {
    gap: var(--gap-12x); /* 60px */
}


/* hide/show */
.hidden-sm {
    display: none;
}

.visible-sm {
    display: flex;
}


.fill-width-sm {
    width: 100%;
}


}

/* Tiny screens */
@media screen and (max-width: 390px) {}